<?php
if(!defined('IN_DEMOSOSO')) {
  exit('this is wrong page,please back to homepage');
}
?>
<?php 
echo 'no use';
exit;




if(!dmlogin()){
  echo '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
  echo '提示：没有登录后台。';
    //fnoid();
  exit;
} 

$seo1[0]  = '预览区块';
$bsfootermob = '';
 layoutcur('','page');

require_once  BLOCKROOT.'tpl/preview_meta.php';
 ?>
<script src="<?php echo STAPATH?>assets/vendor/clipboard-polyfill.promise.js"></script>

 <style>
.headershowblock{
 margin:50px 0 20px  0;line-height:30px;
 text-align:center;background:#37cde6;font-size:20px
}
.headershowblock span{font-size:14px;color:#666;}

.viewblocktab {height:30px;margin:10px 0;text-align: center}
.viewblocktab a{display: inline-block;margin-right: 16px;padding:5px;background: #e2e2e2}
.viewblocktab a.active{background: #12A7ED;color:#fff;}

 /*blocklist*/
.blocklist .h3here{background:#eadd8a;color:#fff;padding:20px;font-size:14px;font-weight:bold; text-align: center;margin-top:30px; }
.blocklist .h3here a{ color:#fff;font-weight:normal;font-size:12px; }

.addblock{border-radius: 8px;background: #407dba;color:#fff;padding:3px 10px;font-size: 12px}
</style>
 <?php

if($sta_effectcss<>'y') {
    echo '<p style="padding:10px;text-align:center;background:red;color:#fff">样式没有加载，请在 后台 -> 模块设置  开启前端效果库</p>';
}


//echo $pidname;
$file = JTHOMEROOT.'jthome_effect/'.$pidname.'.php';

if(is_file($file)) {
   //require $file;
  block('jthome_effect/'.$pidname);
}else{
  echo '<p style="padding:20px;text-align:center">文件不存在  - jthome_effect/'.$pidname.'.php</p>';
}




  //$file2 = JTHOMEROOT.'jthome_effect/slider/slider01/index.php';require $file2;

  //require $file2;
  // block('jthome_effect/slider/slider01/index'); 


// $file2 = JTHOMEROOT.'jthome_effect/slider/slider01/index.php';require $file2;
 // $file2 = JTHOMEROOT.'jthome_effect/slider/slider01/index.php';require $file2;
 //  $file2 = JTHOMEROOT.'jthome_effect/slider/slider02/index.php';require $file2;
 // $file2 = JTHOMEROOT.'jthome_effect/slider/slider02/index.php';require $file2;
 //  $file2 = JTHOMEROOT.'jthome_effect/slider/slider02/index.php';require $file2;

  //require $file2;

// $file2 = JTHOMEROOT.'jthome_effect/accord/accord02/index.php';require $file2;
// $file2 = JTHOMEROOT.'jthome_effect/accord/accord02/index.php';require $file2;
// $file2 = JTHOMEROOT.'jthome_effect/accord/accord02/index.php';require $file2;

 // require $file2;



$pidname = 'jthome_effect/'.@htmlentitdm($_GET['pidname']);
$copyv =  'jthome_effect/'.@htmlentitdm($_GET['pidname']).'.php';
 echo '<div class="headershowblock"> <span>  [DMblockid]'.$pidname.'[/DMblockid] </span> <i title="复制" style="font-style:normal;cursor:pointer" class="fa fa-files-o jscopyblockid" aria-hidden="true"></i>  '.addtoblock($pidname);
?>
 <p style="text-align: center;display: none;"><input style="width: 360px;border: 0;background:#C2E8FF" onclick="this.select();document.execCommand('Copy');" type="text" value="<?php echo $copyv?>"  /></p>' 
<?php
 echo '</div>';


 function addtoblock($v){
    if(substr($v,0,6)<>'region') return  '<p><a class="addblock" href="'.BASEURL.ADMINDIR.'/mod_region/mod_region_addblock.php?pidname='.$v.'&lang='.LANG.'">添加到页面区域</a></p>';
}

?>
<?php 
require_once  BLOCKROOT.'tpl/preview_metafooter.php'; 

?>
</body>
</html>
